{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:piston",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:knockback": 3
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:slime_block",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 10
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_pickaxe",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:efficiency": 5
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:anvil"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:book",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:splash_potion",
          "functions": [
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:strong_leaping"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:tipped_arrow",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5
              }
            },
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:poison"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:splash_potion",
          "functions": [
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:invisibility"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:experience_bottle",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 50
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:splash_potion",
          "functions": [
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:strong_healing"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:bread",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 8
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:pumpkin_pie",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 10
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 3
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:obsidian",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 6
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:end_crystal",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 1,
          "name": "minecraft:flint_and_steel"
        },
        {
          "type": "minecraft:item",
          "weight": 1,
          "name": "minecraft:tnt",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 10
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:shield"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:netherite_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:diamond_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "name": "minecraft:crossbow",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:lore": [
                  {
                    "translate": "subchronos.game.item.arrow.explosive_enchant",
                    "fallback": "Explosive X",
                    "color": "white",
                    "italic": false
                  }
                ],
                "minecraft:enchantment_glint_override": true,
                "minecraft:charged_projectiles": [
                  {
                    "id": "minecraft:firework_rocket",
                    "components": {
                      "minecraft:fireworks": {
                        "explosions": [
                          {
                            "shape": "large_ball",
                            "colors": [
                              14747913,
                              16639,
                              583458,
                              13490710
                            ],
                            "fade_colors": [
                              11084689,
                              46079,
                              9240320,
                              13919756
                            ],
                            "has_trail": true,
                            "has_twinkle": true
                          },
                          {
                            "shape": "large_ball",
                            "colors": [
                              14747913,
                              16639,
                              583458,
                              13490710
                            ],
                            "fade_colors": [
                              11084689,
                              46079,
                              9240320,
                              13919756
                            ],
                            "has_trail": true,
                            "has_twinkle": true
                          },
                          {
                            "shape": "large_ball",
                            "colors": [
                              14747913,
                              16639,
                              583458,
                              13490710
                            ],
                            "fade_colors": [
                              11084689,
                              46079,
                              9240320,
                              13919756
                            ],
                            "has_trail": true,
                            "has_twinkle": true
                          },
                          {
                            "shape": "large_ball",
                            "colors": [
                              14747913,
                              16639,
                              583458,
                              13490710
                            ],
                            "fade_colors": [
                              11084689,
                              46079,
                              9240320,
                              13919756
                            ],
                            "has_trail": true,
                            "has_twinkle": true
                          },
                          {
                            "shape": "small_ball"
                          }
                        ],
                        "flight_duration": 10
                      }
                    },
                    "count": 2
                  }
                ],
                "minecraft:enchantments": {
                  "minecraft:multishot": 1
                },
                "minecraft:tooltip_display": {
                  "hidden_components": [
                    "minecraft:charged_projectiles"
                  ]
                },
                "minecraft:damage": 1,
                "minecraft:max_damage": 1
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:diamond_shovel",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:sharpness": 5
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "name": "minecraft:blaze_powder",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:fire_aspect": 5
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 2,
          "name": "minecraft:bedrock",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:totem_of_undying"
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:leather_chestplate",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:protection": 10
              }
            },
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:dyed_color": 8454134,
                "minecraft:damage": 70
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:netherite_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:netherite_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:netherite_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:netherite_boots"
        }
      ]
    }
  ]
}
